##############################################################################
#
# Copyright (c) 2001-2004 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""$Id: __init__.py,v 1.16 2004/10/09 23:24:55 longsleep Exp $
"""

# html rendered OpenOffice Documents for CMF/Plone by Simon Eisenmann

import OODocument
from Products.CMFCore.utils import ContentInit
from Products.CMFCore.DirectoryView import registerDirectory

PROJECTNAME = "CMFOODocument"
ARCHETYPES_MODE = 1 
NON_ARCHETYPES_MODE = 1

# Define permission
ADD_CONTENT_PERMISSION = 'Add portal content'

# This is used by a script (external method) that can be run
# to install this product into a cmf instance
oodocument_globals = globals()

# Make the skins available as DirectoryViews
registerDirectory( 'skins', globals() )
registerDirectory( 'skins/OODocument', globals() )

# types to add
ctypes = (OODocument.OODocument,)
etypes = (OODocument.addOODocument,)
ftypes = (OODocument.factory_type_information,)


def initialize( context ):

    if NON_ARCHETYPES_MODE:
        # CMF Initializers
        ContentInit( 'CMF OODocument Objects'
                , content_types = ctypes
                , permission = ADD_CONTENT_PERMISSION
                , extra_constructors = etypes
                , fti = ftypes
                ).initialize( context )


    try:
        # Archetypes support and PortalTransforms support
	try:
	    from Products.LinguaPlone.public import process_types
	except ImportError:
	    # no linguaplone
	    from Products.Archetypes.public import process_types
        from Products.Archetypes import listTypes
        from Products.PortalTransforms import transforms
        import OOODocument

        # add our transformer .. so that it can be accessed from python as well
        import oo_to_html
        tf = transforms.transforms
        tf.append(oo_to_html.register())
        transforms.transforms=tf

        if ARCHETYPES_MODE:
            # content initialization
            content_types, constructors, ftis = process_types(
                listTypes(PROJECTNAME), PROJECTNAME,
                )

            ContentInit(
                '%s Content' % PROJECTNAME,
                content_types = content_types,
                permission = ADD_CONTENT_PERMISSION,
                extra_constructors = constructors,
                fti = ftis,
                ).initialize(context)

    except: pass 


