#!/usr/bin/env python
# -*- coding: utf-8 -*-
from setuptools import setup, find_packages
from os.path import join

setup(
    name='Products.CMFOODocument',
    version='0.3.1',
    description='Integrates OO Documents into the CMF.',
    long_description=open(join('Products','CMFOODocument','README.txt')).read(),
    keywords='zope zope2 cmf openoffice document oodocument',
    author='Simon Eisenmann',
    author_email='simon@longsleep.org',
    url='http://longsleep.org/projects/cmfoodocument',
    license='ZPL 2.1 (http://www.zope.org/Resources/License/ZPL-2.1)',
    packages=find_packages(),
    include_package_data=True,
    namespace_packages=['Products'],
    zip_safe=False,
    install_requires=[
        'setuptools',
        'Zope2 >= 2.12.0',
        'Products.CMFCore',
        'Products.CMFDefault'
    ],
    classifiers=[
        'Development Status :: 7 - Inactive',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Zope Public License',
        'Natural Language :: English',
        'Programming Language :: Python',
        'Programming Language :: Zope',
        'Operating System :: POSIX',
        'Framework :: Zope2',
        'Topic :: Software Development',
        'Topic :: Software Development :: Libraries :: Application Frameworks'
    ]
)

